using MTWorkHR.Core.Entities.Base;
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;


namespace MTWorkHR.Core.Entities
{
    public class UserTaskAttachment : AuditEntity
    {
        public long TaskId { get; set; }

        [ForeignKey("TaskId ")]
        public UserTask UserTask { get; set; }
        public long? AttachmentTypeId { get; set; }

        [ForeignKey("AttachmentTypeId")]
        public AttachmentType AttachmentType { get; set; }

        [MaxLength(250)]
        public string? FileName { get; set; }

        [MaxLength(250)]
        public string? OriginalName { get; set; }

        public byte[] Content { get; set; }
        public string? FilePath { get; set; }
        public string? ContentType { get; set; }
    }
}
